Bug 756920 - libvirt-python storage traceback
libvirt-python storage traceback
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 01:49 EST by joshua
Modified: 2012-06-07 15:50 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 15:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description joshua 2011-11-25 01:49:47 EST
Description of problem:

$ sudo virt-install --network network=default -r 1024 --prompt --boot menu=on --os-variant fedora16 --disk pool=home_storage,size=6,format=qcow2 --vcpus=1 -l /mnt/f16iso/ -x "divider=10 ks=http://192.168.122.1/ks.cfg" --name test8

Starting install...
Retrieving file .treeinfo...                             | 1.7 kB     00:00 ... 
Retrieving file vmlinuz...                               | 7.9 MB     00:00 ... 
Retrieving file initrd.img...                            | 259 MB     00:00 ... 
Exception in thread Checking storage allocation:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/threading.py", line 552, in __bootstrap_inner
    self.run()
  File "/usr/lib64/python2.7/threading.py", line 505, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/virtinst/Storage.py", line 1257, in _progress_thread
    ignore, ignore, alloc = vol.info()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 2000, in info
    if ret is None: raise libvirtError ('virStorageVolGetInfo() failed', vol=self)
libvirtError: cannot open volume '/home/libvirt/images/test8.img': No such file or directory

Allocating 'test8.img'                                   | 6.0 GB     00:00     
Creating domain...                                       |    0 B     00:00


Things appear to run, but why the traceback?  The storage file wasn't there, but that is allowed, and was created in the next step. Can we get a fix for this?


Version-Release number of selected component (if applicable):

libvirt-python-0.9.6-2.fc16.x86_64
Comment 1 Fedora Admin XMLRPC Client 2011-11-30 14:33:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 14:37:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:44:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:55:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Cole Robinson 2012-06-07 15:50:19 EDT
I'm guessing that image file was deleted behind libvirt's back, but the pool wasn't refreshed so it had stale data. There are various proposals to try and make directory pools 'auto refresh' which will fix this, but otherwise this isn't strictly a bug.

Note You need to log in before you can comment on or make changes to this bug.